PROGRAM minimain

USE mini

IMPLICIT NONE

TYPE(ExtList_T), POINTER  :: instance1
TYPE(ExtList_T), POINTER  :: instance2

ALLOCATE(instance1)
ALLOCATE(instance2)
instance1%idx = 1
instance1%value = -1.0
instance2%idx = 2
instance2%value = 5.0

CALL instance1%append(instance2)

PRINT *, "Instance 1: ", instance1%idx, instance1%value
PRINT *, "Instance 2: ", instance2%idx, instance2%value
PRINT *, "Instance 1 => next: ", instance1%next%idx

END PROGRAM minimain
